ru.bitel.oss.systems.inventory.subscription.common.event

## Class SubscriptionModeModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<SubscriptionMode>
    - - ru.bitel.oss.systems.inventory.subscription.common.event.SubscriptionModeModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SubscriptionModeModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<SubscriptionMode>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SubscriptionModeModifiedEvent()`
    `` | `SubscriptionModeModifiedEvent(int moduleId, int userId, SubscriptionMode oldItem, SubscriptionMode newItem)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionModeModifiedEvent

          protected SubscriptionModeModifiedEvent()

    - #### SubscriptionModeModifiedEvent

          public SubscriptionModeModifiedEvent(int moduleId,
                                               int userId,
                                               SubscriptionMode oldItem,
                                               SubscriptionMode newItem)